Resent-Date: Tue, 26 Jan 1999 18:59:53 +0100 (MET)
From: zippel@fh-brandenburg.de (Roman Zippel)
Subject: Re: 2.2.0-final
To: Jes.Sorensen@cern.ch (Jes Sorensen)
Date: Tue, 26 Jan 1999 18:59:29 +0100 (MET)
Cc: schmid4@cuimail.unige.ch, linux-m68k@lists.linux-m68k.org
In-Reply-To: <d3pv828ab1.fsf@valhall.cern.ch> from "Jes Sorensen" at Jan 26, 99 01:53:38 pm
Resent-From: linux-m68k@phil.uni-sb.de

Hi,

> A 2.2.0 kernel will not be released for the m68k before we solve the
> problem with mapping the frame buffer memory from Z2 space.

Hmm, the smallest fix is to change __va in mm/memory.c into phys_to_virt().
Anything else would require other changes too. Below a patch to try.

bye,Roman

--- mm/memory.c.org	Tue Jan 26 19:03:38 1999
+++ mm/memory.c	Tue Jan 26 19:04:57 1999
@@ -495,7 +495,7 @@
 		pte_t oldpage = *pte;
 		pte_clear(pte);
 
-		mapnr = MAP_NR(__va(phys_addr));
+		mapnr = MAP_NR(phys_to_virt(phys_addr));
 		if (mapnr >= max_mapnr || PageReserved(mem_map+mapnr))
  			set_pte(pte, mk_pte_phys(phys_addr, prot));
 		forget_pte(oldpage);

